<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwAlarmHandling: fwAlarmHandlingScreenGroups.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwAlarmHandling
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwAlarmHandlingScreenGroups_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwAlarmHandlingScreenGroups.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a98bdf515d2fed8ca8c89685ae901d206"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreenGroups_8ctl.html#a98bdf515d2fed8ca8c89685ae901d206">_fwAlarmHandlingScreenGroups_getFsmDeviceDps</a> (string sCU)</td></tr>
<tr class="separator:a98bdf515d2fed8ca8c89685ae901d206"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a8028ab701c9fc62649823ca9753eac"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreenGroups_8ctl.html#a1a8028ab701c9fc62649823ca9753eac">fwAlarmHandlingScreenGroups_getConfig</a> (dyn_dyn_string &amp;sysFilters, dyn_mixed &amp;dpFilters, dyn_mixed &amp;aliasFilters, dyn_string &amp;dsGroupsDescriptions)</td></tr>
<tr class="separator:a1a8028ab701c9fc62649823ca9753eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a789e07c77bcf9bbd8167251e12d3ace2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreenGroups_8ctl.html#a789e07c77bcf9bbd8167251e12d3ace2">fwAlarmHandlingScreenGroups_getGroupId</a> (string dpName)</td></tr>
<tr class="separator:a789e07c77bcf9bbd8167251e12d3ace2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f9d08487580ab0b9d5589cdc75da5f3"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreenGroups_8ctl.html#a6f9d08487580ab0b9d5589cdc75da5f3">fwAlarmHandlingScreenGroups_getDefaultSoundPath</a> ()</td></tr>
<tr class="separator:a6f9d08487580ab0b9d5589cdc75da5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7ab6b5f18604915c3090b311aab5947"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwAlarmHandlingScreenGroups_8ctl.html#ac7ab6b5f18604915c3090b311aab5947">fwAlarmHandlingScreenGroups_getProjectName</a> ()</td></tr>
<tr class="separator:ac7ab6b5f18604915c3090b311aab5947"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>fwAlarmHandlingScreenGroups This library contains functions for the internal workings of the JCOP Alarm Screen with Groups.</p>
<dl class="section user"><dt>Creation Date</dt><dd>05/10/2011</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd></dd></dl>
<dl class="section user"><dt>Constraints</dt><dd></dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Marco Boccioli (EN/ICE), based on the original project of Giovanni Polese </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a98bdf515d2fed8ca8c89685ae901d206"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98bdf515d2fed8ca8c89685ae901d206">&#9670;&nbsp;</a></span>_fwAlarmHandlingScreenGroups_getFsmDeviceDps()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">dyn_string _fwAlarmHandlingScreenGroups_getFsmDeviceDps </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sCU</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Receive the CU name, return the list of dpes of all the DU below the CU and the nested CUs.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Internal</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sCU</td><td>The Control Unit name Use the fwAlarmHandlingScreen_CONFIG_OBJECT_FILTER_XXX constants to interpret the object </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the list of dpes belonging to the Device Units under the CU and under the nested CUs. </dd></dl>

</div>
</div>
<a id="a1a8028ab701c9fc62649823ca9753eac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a8028ab701c9fc62649823ca9753eac">&#9670;&nbsp;</a></span>fwAlarmHandlingScreenGroups_getConfig()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int fwAlarmHandlingScreenGroups_getConfig </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_string &amp;&#160;</td>
          <td class="paramname"><em>sysFilters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>dpFilters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>aliasFilters</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dsGroupsDescriptions</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Read the Groups configuration</p>
<dl class="section user"><dt>Constraints</dt><dd>The function can only be called from within the JCOP FW Alarm Screen with Groups</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sysFilters</td><td>the list of system filters (one per group) is returned here. </td></tr>
    <tr><td class="paramname">dpFilters</td><td>the list of dp filters (one list per system) is returned here. </td></tr>
    <tr><td class="paramname">aliasFilters</td><td>the list of alias filters (one list per system) is returned here. </td></tr>
    <tr><td class="paramname">dsGroupsDescriptions</td><td>the list of groups descriptions is returned here. </td></tr>
    <tr><td class="paramname">sysFilters</td><td>the list of filters is returned here. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>0 if ok, -1 if problem. </dd></dl>

</div>
</div>
<a id="a789e07c77bcf9bbd8167251e12d3ace2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a789e07c77bcf9bbd8167251e12d3ace2">&#9670;&nbsp;</a></span>fwAlarmHandlingScreenGroups_getGroupId()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwAlarmHandlingScreenGroups_getGroupId </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Get the Group dp and return the Group name</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpName</td><td>the dp name of the group. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the group name. </dd></dl>

</div>
</div>
<a id="a6f9d08487580ab0b9d5589cdc75da5f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f9d08487580ab0b9d5589cdc75da5f3">&#9670;&nbsp;</a></span>fwAlarmHandlingScreenGroups_getDefaultSoundPath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwAlarmHandlingScreenGroups_getDefaultSoundPath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Return the default alarm sound to be played</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>the alarms sound path. </dd></dl>

</div>
</div>
<a id="ac7ab6b5f18604915c3090b311aab5947"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7ab6b5f18604915c3090b311aab5947">&#9670;&nbsp;</a></span>fwAlarmHandlingScreenGroups_getProjectName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string fwAlarmHandlingScreenGroups_getProjectName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Return the project name</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>the project name. </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwAlarmHandlingScreenGroups_8ctl.html">fwAlarmHandlingScreenGroups.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
